//
// CellThread.java
//

class CellThread extends Thread
{
    private final static int SLEEP_DELAY = 500; // Sleep for 500 ms between turns.

    private CellAutomata ca;
    private boolean suspended;

    public CellThread (CellAutomata ca) {
        this.ca = ca;
        this.suspended = false;
    }
    
    public void suspendThread () {
        suspended = true;
    }
    
    public void run () {
        while (!suspended) {
            ca.step ();
            try { 
                Thread.sleep (SLEEP_DELAY);
            } catch (InterruptedException e) { 
                System.out.println ("Thread interrupted");
                break;
            }
        }
    }
}

